# Get module example file

Download a single file from a module version's examples/ tree. The path must begin with "examples/" and identify a file (not a directory).

Endpoint: GET /iacm/api/modules/{module_id}/examples/file
Version: 1.0
Security: x-api-key

## Query parameters:

  - `version` (string, required)
    version of the module
    Example: "Qui iusto repudiandae."

  - `scope_org` (string)
    org name
    Example: "Est illo quia et molestias."

  - `scope_project` (string)
    project name
    Example: "Et pariatur sed quidem maxime."

  - `path` (string, required)
    relative path under the module root; must begin with "examples/" and identify a file (e.g. "examples/iam-account/main.tf" or "examples/iam-account/modules/foo/main.tf")
    Example: "e"

## Path parameters:

  - `module_id` (string, required)
    module id
    Example: "Alias nulla laudantium expedita."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Molestias dolore consequatur voluptatem voluptas."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


